Subject: Re: [bug#56051] [PATCH] guix: self: Do not record reference to gcc-toolchain.

From: Julien Lepiller <[email-masked]>
Date: Sat, 18 Jun 2022 19:53:25 +0200

Le Sat, 18 Jun 2022 19:23:28 +0200,
Maxime Devos <[email-masked]> a écrit :

> Julien Lepiller schreef op za 18-06-2022 om 14:13 [+0200]:
> > On June 18, 2022 11:45:43 AM GMT+02:00, Maxime Devos
> > <[email-masked]> wrote:  
> > > Julien Lepiller schreef op za 18-06-2022 om 08:58 [+0200]:  
> > > >            (setenv "LIBRARY_PATH" #$(file-append gcc "/lib"))  
> > > 
> > > I'm wondering if is this line that is incorrect, given that the
> > > 'gcc:out' store item does not have a /lib subdirectory.  Would
> > > removing this line be sufficient?
> > > 
> > > Greetings,
> > > Maxime.  
> > 
> > Removing this line I get a message that gcc can't find crt*.o.  
> 
> Which crt are these? crt1.o, crti.o, crtn.o (from glibc) or
> crtbegin.o, crtend.o, crtprec64.o, ... (from gcc)?

crt1.o and friends, from glibc. I tried using glibc explicitely and
setting LIBRARY_PATH to (file-append glibc "/lib") and it worked.

> 
> > Another possibility is to explicitely use gcc, binutils, glibc and
> > ld-wrapper. Thought this would be better?  
> 
> FWIW, the <c-compiler> infrastructure in (guix scripts pack) does
> that, and the code in guix/self.scm has a comment:
> 
>     ;; XXX: Reuse <c-compiler> from (guix scripts pack) instead?
> 
> though maybe (guix scripts pack) has the same reference-keeping
> problem ...
> 
> Greetings,
> Maxime.

Mh, I'm not sure how to do that. Do you mind if I push this patch, and
leave using <c-compiler> to future work?